#ifndef _SHADERPROGRAM_H__
#define _SHADERPROGRAM_H__

#include "common.h"
#include "glInterface.h"

#include <Cg/cg.h>
#include <Cg/cgGL.h>


namespace CHCDemoEngine 
{ 

class FrameBufferObject;
class Vector3;
class Camera;
class Matrix4x4;
class ShadowMap;
class DirectionalLight;


class ShaderProgram
{
public:

	ShaderProgram(CGprogram program): mProgram(program) {}

	~ShaderProgram() { cgDestroyProgram(mProgram); }

	CGprogram mProgram;
};

typedef  std::vector<ShaderProgram *> ShaderContainer;

} // namespace 

#endif // _ShaderProgram_H__